Bug 16949 - resolution problem localhost
Summary: resolution problem localhost
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: tcp_wrappers   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-08-25 17:04 UTC by Rogelio Noriega
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-25 18:12:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Rogelio Noriega 2000-08-25 17:04:51 UTC
In RC2  localhost does not resolve to 127.0.0.1.
Specifically I put the following entry in hosts.allow
ALL: localhost

then there is no local access to services.

If I put the following entry in hosts.allow
ALL: 127.0.0.1

then I have access.

This indicats a name resolution problem.  The nsswitch file looks ok.

I checked further and adding access from other computers works if
you use their numeric address but not if you use thier hostname, even
if the information is included in the hosts file.

Comment 1 Preston Brown 2001-02-05 20:13:38 UTC
fixed in xinetd-2.1.8.9pre14-5.src.rpm and later.


Note You need to log in before you can comment on or make changes to this bug.